Bug 815627 - There is no mouse cursor in the Diablo III beta game
There is no mouse cursor in the Diablo III beta game
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 02:03 EDT by carasin
Modified: 2012-04-26 13:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-26 13:46:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description carasin 2012-04-24 02:03:54 EDT
Description of problem:

It's possible to install and run the Diablo III beta game with Wine (with the patches listed below). But there is no mouse cursor during the game, although the game responds to the mouse moving and clicking.

The issue shows regardless of the DE and wine versions (the problem exists in the "bare" X session too).

At the same time, in other GNU / Linix distros everything is OK (that's why I wrote bug-report here).

http://bugs.winehq.org/attachment.cgi?id=39500
http://bugs.winehq.org/attachment.cgi?id=39494
http://bugs.winehq.org/attachment.cgi?id=39565
___________________________________

Version-Release number of selected component (if applicable):

wine-1.5.1-1.fc16.i686
wine-1.5.2-1.fc16.i686
kde*-4.8.2-1.fc16.i686
xorg-x11-server*-1.11.4-2.fc16.i686
___________________________________

How reproducible:

always
___________________________________

Steps to Reproduce:

1. Following these instructions:
http://appdb.winehq.org/objectManager.php?sClass=version&iId=25588
http://appdb.winehq.org/objectManager.php?sClass=version&iId=25588&iTestingId=70944
2. Run the game.
3. The is no mouse cursor.
___________________________________

Actual results:

There is no mouse cursor in the game. The game is not playable.
___________________________________

Expected results:

The game works fine. The mouse is usable during game.
___________________________________

Additional info:
Comment 1 Andreas Bierfert 2012-04-24 09:57:05 EDT
Please try this update which is in pending state for f16:
https://admin.fedoraproject.org/updates/wine-1.5.2-2.fc16
Comment 2 carasin 2012-04-25 01:22:59 EDT
I've updated Wine up to 1.5.2-2. There are no changes regarding the visibility of the mouse cursor in the game. Sad...
Comment 3 carasin 2012-04-26 10:23:23 EDT
In general, the culprit turned out to be q4wine.
Winecfg was giving the errors until I've configured it with q4wine. Then I've installed vcrun200{5|8} & winhttp with winetricks. As a result I was able to run Diablo III beta, but without a mouse.

I had removed the ~/.wine prefix and tried to run winecfg again, but this has resulted in an error again. So I've just copied the prefix (which had already contained vcrun200{5|8} & winhttp) from another computer (with Ubuntu installed). After these actions Wine stopped giving an error, and Diablo III beta has been launched well (with the mouse cursor).

In other words, now the bug is that Wine can not independently create a working prefix, which allows to install anything (e.g. with winetricks).

This bug should be closed.

Continuation is here
https://bugzilla.redhat.com/show_bug.cgi?id=816623

Note You need to log in before you can comment on or make changes to this bug.